// Autogenerated by gen_tests.py
use mwapi_responses::prelude::*;

mod test_client;

#[query(action = "query", prop = "langlinks")]
struct Response0;

#[tokio::test]
async fn query_langlinks_default() {
    let mut params = Response0::params().to_vec();
    params.push((
        "titles",
        "Albert Einstein|This article does not exist, please",
    ));
    let resp: Response0 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 2);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", prop = "langlinks", llprop = "autonym")]
struct Response1;

#[tokio::test]
async fn query_langlinks_autonym() {
    let mut params = Response1::params().to_vec();
    params.push((
        "titles",
        "Albert Einstein|This article does not exist, please",
    ));
    let resp: Response1 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 2);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", prop = "langlinks", llprop = "langname")]
struct Response2;

#[tokio::test]
async fn query_langlinks_langname() {
    let mut params = Response2::params().to_vec();
    params.push((
        "titles",
        "Albert Einstein|This article does not exist, please",
    ));
    let resp: Response2 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 2);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", prop = "langlinks", llprop = "url")]
struct Response3;

#[tokio::test]
async fn query_langlinks_url() {
    let mut params = Response3::params().to_vec();
    params.push((
        "titles",
        "Albert Einstein|This article does not exist, please",
    ));
    let resp: Response3 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 2);
    assert!(!resp.continue_.is_empty());
}
